Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class RemoveEntryImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.RemoveEntryImpl

All Implemented Interfaces:
  RemoveEntry

    public class RemoveEntryImpl

extends java.lang.Object
implements RemoveEntry

This class is used to remove an entry from the directory

Version:
  $Revision: 1.6 $
Author:

Constructor Summary
`RemoveEntryImpl(LDAPClientApplicationImpl app)` Creates a new instance of RemoveEntry

Method Summary
`java.lang.String` | `getName()` Method to get the entry name that was set for removal from the directory
`boolean` | `performRemove()` Method that performs the removal of the entry
`void` | `reset()` Method to reset the values
`void` | `setName(java.lang.String name)` Method to set the entry name which has to be removed from the directory

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoveEntryImpl

    public RemoveEntryImpl(LDAPClientApplicationImpl app)

  Creates a new instance of RemoveEntry

  Parameters:
    `app` - The LDAP client application associated with this RemoveEntry instance.

Method Detail

### setName

    public void setName(java.lang.String name)
                 throws LDAPApplicationException

  Method to set the entry name which has to be removed from the directory

  Specified by:
    `setName` in interface `RemoveEntry`
  Parameters:
    `the` - entry name that is to be removed from the directory
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getName

    public java.lang.String getName()
                             throws LDAPApplicationException

  Method to get the entry name that was set for removal from the directory

  Specified by:
    `getName` in interface `RemoveEntry`
  Returns:
    the entry name that was set to be removed from the directory
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performRemove

    public boolean performRemove()
                          throws LDAPApplicationException

  Method that performs the removal of the entry

  Specified by:
    `performRemove` in interface `RemoveEntry`
  Returns:
    true if the entry was removed successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server or any problem in executing the operation.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `RemoveEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD